Bug 459361 - Create/Write file don't work (Function not implemented)
Create/Write file don't work (Function not implemented)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: obexfs (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-17 10:05 EDT by Oleg Aprotskiy
Modified: 2009-09-17 15:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:16:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleg Aprotskiy 2008-08-17 10:05:36 EDT
Description of problem:
Don't create or write file to remote device. bluetooth-sendto work fine.

Some debug info from obexfs:
unique: 1, opcode: INIT (26), nodeid: 0, insize: 56
INIT: 7.9
flags=0x0000000b
max_readahead=0x00020000
   INIT: 7.8
   flags=0x00000000
   max_readahead=0x00020000
   max_write=0x00020000
   unique: 1, error: 0 (Success), outsize: 40

LOOKUP /txt
ofs_getattr() '/txt'
ofs_connect() >>>blocking<<<
ofs_disconnect() <<<unblocking>>>
   unique: 37, error: -2 (No such file or directory), outsize: 16
unique: 38, opcode: MKNOD (8), nodeid: 1, insize: 52
MKNOD /txt
ofs_getattr() '/txt'
   NODEID: 5
   unique: 38, error: 0 (Success), outsize: 136
unique: 39, opcode: OPEN (14), nodeid: 5, insize: 48
   unique: 39, error: 0 (Success), outsize: 32
OPEN[166618632] flags: 0x8801 /txt
unique: 40, opcode: SETATTR (4), nodeid: 5, insize: 128
   unique: 40, error: -38 (Function not implemented), outsize: 16
unique: 41, opcode: SETATTR (4), nodeid: 5, insize: 128
   unique: 41, error: -38 (Function not implemented), outsize: 16
unique: 42, opcode: SETATTR (4), nodeid: 5, insize: 128
   unique: 42, error: -38 (Function not implemented), outsize: 16
unique: 43, opcode: RELEASE (18), nodeid: 5, insize: 64
RELEASE[166618632] flags: 0x8801
Releasing: /txt (0x9ee6608)
   unique: 43, error: 0 (Success), outsize: 16


Version-Release number of selected component (if applicable):
obexfs-0.11-0.3.rc3.fc9.i386
Comment 1 Dominik 'Rathann' Mierzejewski 2008-08-18 13:38:47 EDT
As far as I can test it, despite the message the transfer actually succeeds. I'll look into it.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-08-18 18:06:07 EDT
Also, could you tell me how you got that debug info?
Comment 3 Oleg Aprotskiy 2008-08-19 00:42:23 EDT
$ obexfs -b 00:1F:5D:B5:F0:25 -- -d -f /tmp/o
Comment 4 Bug Zapper 2009-06-09 22:29:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:16:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Dominik 'Rathann' Mierzejewski 2009-09-17 15:55:42 EDT
Just for the record, it seem to be working without any errors on F-10 and F-11.

Note You need to log in before you can comment on or make changes to this bug.